summaryrefslogtreecommitdiff
path: root/util
diff options
context:
space:
mode:
authorNick Brassel <nick@tzarc.org>2021-12-09 07:42:21 +1100
committerGitHub <noreply@github.com>2021-12-09 07:42:21 +1100
commit30f0bbe079003fb18764f9026a8eed7464efb216 (patch)
tree179dc4c66fce7cc1461ac640e572d96d29489c47 /util
parent1259140d5aee2c8898afa7ec38f354f89dde4fc0 (diff)
Add support for 21.11.x, remove 21.6.x as ChibiOS "canceled" it. (#15435)
Diffstat (limited to 'util')
-rwxr-xr-xutil/update_chibios_mirror.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/util/update_chibios_mirror.sh b/util/update_chibios_mirror.sh
index 0bf648ebfd..e6666c55c9 100755
--- a/util/update_chibios_mirror.sh
+++ b/util/update_chibios_mirror.sh
@@ -4,13 +4,13 @@
# Configuration
# The ChibiOS branches to mirror
-chibios_branches="trunk stable_20.3.x stable_21.6.x"
+chibios_branches="trunk stable_20.3.x stable_21.11.x"
# The ChibiOS tags to mirror
-chibios_tags="ver20.3.1 ver20.3.2 ver20.3.3 ver20.3.4 ver21.6.0"
+chibios_tags="ver20.3.1 ver20.3.2 ver20.3.3 ver20.3.4 ver21.11.1"
# The ChibiOS-Contrib branches to mirror
-contrib_branches="chibios-20.3.x chibios-21.6.x"
+contrib_branches="chibios-20.3.x chibios-21.11.x"
################################
# Actions
@@ -88,5 +88,5 @@ echo "Updating ChibiOS-Contrib branches..."
for branch in $contrib_branches ; do
echo "Creating branch 'mirror/$branch' from 'upstream/$branch'..."
git branch -f mirror/$branch upstream/$branch \
- && git push qmk mirror/$branch
+ && git push qmk mirror/$branch || true # Allow for nonexistent ChibiOS-Contrib branches -- they'll turn up eventually.
done